<?php
/**
 * Plugin Name: Skopposan's | Logging Preventer in GTM
 * Description: Fügt ein benutzerdefiniertes Script in den Header ein, um das Tracking in GTM zu
 * deaktivieren, wenn der Benutzer angemeldet ist.
 * 
 * Lege in GTM eine Custom Variable mit Custom JS an. Setze diesen Code ein:
 * function() {
 *  return window.loggedIn;
 * }
 * 
 * Diese Variable ist true wenn User im WP angemeldet ist, sonst false. Trigger für den PageView
* entsprechend mit Abfrage anpassen: Fire WENN VARIABLE NICHT ENTHÄLT true
* Version: 1.3
* Author: Steffen Skopp
* Datum: 02.11.2023
* Getestet mit Wordpress 6.3.2
*/

function wp_loggin_gtm() {
    ?>
    <!-- Custom Header Script Start -->
    <?php if (is_user_logged_in()) { ?>
        <script>
            window.loggedIn = true;
        </script>
    <?php } else { ?>
        <script>
            window.loggedIn = false;
        </script>
    <?php } ?>
    <!-- Custom Header Script End -->
    <?php
}
add_action('wp_head', 'wp_loggin_gtm');
?>
